Installing GD and GD::Image on CentOS/Bluequartz system

Issues related to software problems
Post Reply
Zoro
Posts: 29
Joined: 2007/12/15 11:05:30
Location: USA

Installing GD and GD::Image on CentOS/Bluequartz system

Post by Zoro » 2010/11/13 20:53:22

Dear friends,

We would like to use the features of [url=http://search.cpan.org/dist/GD/]GD[/url] within our CentOS/Bluequartz system.

Installed the modules like this:

[quote]yum install gd gd-devel php-gd[/quote]

However, some Perl scripts which reference GD are giving software errors like this:

[quote]Software error:
Can't locate object method "copyRotated" via package "GD::Image" at /home/... line 1258.[/quote]

For reference purposes, here's the server's summary:

[code][root@www user]# uname -rmi
2.6.9-89.0.28.ELsmp i686 i386

[root@www user]# rpm -q centos-release
centos-release-4-8

[root@www user]# ls /etc/yum.repos.d/
BlueQuartz-Base.repo CentOS-Base.repo CentOS-Media.repo mirrors-rpmforge NuOnce.repo rpmforge.repo rpmforge-testing.repo[/code]

How can we install the complete GD modules using the "yum" feature to properly install this software?

Any help from the CentOS community will be highly appreciated.

Thank you.

Zoro

Zoro
Posts: 29
Joined: 2007/12/15 11:05:30
Location: USA

Re: Installing GD and GD::Image on CentOS/Bluequartz system

Post by Zoro » 2010/11/14 08:06:46

[b]Additional notes:[/b]

The following command:
[quote][root@www rootuser]# rpm -qa | grep gd[/quote]
RESULTS:

[b]gd-2.0.28-5.4E.el4_8.1[/b]
[b]gd-devel-2.0.28-5.4E.el4_8.1[/b]
[b]gd-progs-2.0.28-5.4E.el4_8.1[/b]
[b]php-gd-4.3.9-3.29[/b]
gdm-2.6.0.5-7.rhel4.19.el4_8.2
gdesklets-clock-0.40-1.2.el4.rf
gdesklets-0.35.2-1.2.el4.rf
gdbm-devel-1.8.0-24
gdbm-1.8.0-24
gdb-6.3.0.0-1.162.el4
gdk-pixbuf-devel-0.22.0-17.el4.3
gdesklets-goodweather-0.4.1-1.2.el4.rf
gdk-pixbuf-0.22.0-17.el4.3
sysklogd-1.4.1-28.el4_8.1
gdisk-0.6.10-1.el4.rf
gdesklets-starterbar-0.31.2-1.2.el4.rf

Thus, GD version 2.0.28 is installed. This may be the reason why it does not work on some Perl scripts and gives the "GD::Image" error.

How can I install the [url=http://search.cpan.org/~lds/GD-2.45/]latest GD 2.45 version from CPAN[/url] using the [b]yum[/b] feature without breaking the GUI or CentOS 4 system?

I appreciate any help from the CentOS community. Thank you.

Zoro

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Installing GD and GD::Image on CentOS/Bluequartz system

Post by pschaff » 2010/12/07 18:36:37

Please don't [url=https://www.centos.org/modules/newbb/viewtopic.php?viewmode=flat&topic_id=28887&forum=28]dual-post[/url].

About all I can say about your issues:

1. Bluequartz is not really CentOS.
[url=http://wiki.centos.org/AdditionalResources/OtherVoices]Other Voices[/url]
[url=http://wiki.centos.org/TipsAndTricks/BrokenSpins]When CentOS Is Not CentOS[/url]
[url=http://wiki.centos.org/TipsAndTricks/BrokenVserver]Broken Virtual Server[/url]


2. Installing with yum is preferred. Installing cpan modules makes them invisible to the package management system.

Zoro
Posts: 29
Joined: 2007/12/15 11:05:30
Location: USA

Re: Installing GD and GD::Image on CentOS/Bluequartz system

Post by Zoro » 2010/12/17 05:42:36

Dear Phil,

Thank you for your message.

In regards to the dual-post, I considered the two messages to be two distinct issues which need to be addressed so that others in similar situations can learn from them. The first issue is installing the GD library on a CentOS 4 server, and the second is a Perl Mail form script which depends on the GD module.

I try to give information about the server in hopes of helping others in similar situations and also for administrators to make it easier for them to offer potential solutions. For your reference, our server is a picture-perfect CentOS 4 with a "BlueQuartz" administration GUI, and gets its updates from centos.org mirrors.

As you've mentioned, installing with yum is preferred, and that's exactly what I had thought of and had chosen to do.

[i][b]How exactly can I install the latest [url=http://search.cpan.org/~lds/GD-2.45/]GD module[/url] using yum on a CentOS 4 server?[/b][/i]

I appreciate any help from the community to resolve this issue. Thank you.

Zoro

Post Reply